SRC/slangt.f(3)

NAME
SRC/slangt.f

SYNOPSIS

  Functions/Subroutines
real function slangt (norm, n, dl, d, du)
SLANGT returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general tridiagonal matrix.

Function/Subroutine Documentation

  real function slangt (character norm, integer n, real, dimension( * ) dl, real, dimension( * ) d, real, dimension( * ) du)

SLANGT returns the value of the 1-norm, Frobenius norm, infinity-norm, or the largest absolute value of any element of a general tridiagonal matrix.

Purpose:

    !>
    !> SLANGT  returns the value of the one norm,  or the Frobenius norm, or
    !> the  infinity norm,  or the  element of  largest absolute value  of a
    !> real tridiagonal matrix A.
    !>

Returns
    SLANGT

    !>
    !>    SLANGT = ( max(abs(A(i,j))), NORM = 'M' or 'm'
    !>             (
    !>             ( norm1(A),         NORM = '1', 'O' or 'o'
    !>             (
    !>             ( normI(A),         NORM = 'I' or 'i'
    !>             (
    !>             ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
    !>
    !> where  norm1  denotes the  one norm of a matrix (maximum column sum),
    !> normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
    !> normF  denotes the  Frobenius norm of a matrix (square root of sum of
    !> squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.
    !>

Parameters
    NORM

    !>          NORM is CHARACTER*1
    !>          Specifies the value to be returned in SLANGT as described
    !>          above.
    !>

    N

    !>          N is INTEGER
    !>          The order of the matrix A.  N >= 0.  When N = 0, SLANGT is
    !>          set to zero.
    !>

    DL

    !>          DL is REAL array, dimension (N-1)
    !>          The (n-1) sub-diagonal elements of A.
    !>

    D

    !>          D is REAL array, dimension (N)
    !>          The diagonal elements of A.
    !>

    DU

    !>          DU is REAL array, dimension (N-1)
    !>          The (n-1) super-diagonal elements of A.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 105 of file slangt.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.